{{#if this.viewPage}}
  <Link @to={{this.viewPage}} @space={{@space}} class="dropdown-item btn-view">
    {{capitalize (t "view")}}
  </Link>

  {{#if this.hasOptions}}
    <div class="dropdown-divider"></div>
  {{/if}}
{{/if}}

{{#if this.hasOptions}}
  {{component this.componentName record=@record}}
{{/if}}

{{#if @onDelete}}
  {{#if (or this.hasOptions this.viewPage)}}
    <div class="dropdown-divider"></div>
  {{/if}}

  {{#if (eq this.recordType "map")}}
    <Manage::DeleteButton
      class="dropdown-item dropdown-item-delete text-start btn-delete"
      @onDelete={{fn @onDelete @record}}
      @modelName={{this.recordType}}
      @name={{@record.name}}
      @deleteOptions={{concat "yes:" (t "yes and remove sites")}}
    />
  {{else}}
    <Manage::DeleteButton class="dropdown-item dropdown-item-delete text-start btn-delete" @onDelete={{fn @onDelete @record}} @modelName={{this.recordType}} @name={{@record.name}} />
  {{/if}}
{{/if}}